python3-lxml_4.3.2-1_i386.deb


Advertisement

Description

python3-lxml - pythonic binding for the libxml2 and libxslt libraries

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename python3-lxml_4.3.2-1_i386.deb
Package name python3-lxml
Package version 4.3.2
Package release 1
Package architecture i386
Package type deb
Category python
Homepage http://lxml.de/
License -
Maintainer Matthias Klose <doko@debian.org>
Download size 1.01 MB
Installed size 4.19 MB
lxml is a new Python binding for libxml2 and libxslt, completely
independent from existing Python bindings. Its aim:
* Pythonic API.
* Documented.
* Use Python unicode strings in API.
* Safe (no segfaults).
* No manual memory management!
lxml aims to provide a Pythonic API by following as much as possible
the ElementTree API, trying to avoid inventing too many new APIs,
or the user's having to learn new things -- XML is complicated enough.

Alternatives

Package Version Architecture Repository
python3-lxml_4.3.2-1_amd64.deb 4.3.2 amd64 Debian Main
python3-lxml - - -

Requires

Name Value
libc6 >= 2.4
libxml2 >= 2.9.0
libxslt1.1 >= 1.1.26
python3 >= 3.7~
python3 << 3.8
python3:any -
zlib1g >= 1:1.1.4

Provides

Name Value
python3.7-lxml -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package python3-lxml_4.3.2-1_i386.deb
Source Package lxml

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python3-lxml deb package:
    # sudo apt-get install python3-lxml

Files

Path
/usr/lib/python3/dist-packages/lxml/ElementInclude.py
/usr/lib/python3/dist-packages/lxml/__init__.py
/usr/lib/python3/dist-packages/lxml/_elementpath.cpython-37m-i386-linux-gnu.so
/usr/lib/python3/dist-packages/lxml/_elementpath.py
/usr/lib/python3/dist-packages/lxml/builder.cpython-37m-i386-linux-gnu.so
/usr/lib/python3/dist-packages/lxml/builder.py
/usr/lib/python3/dist-packages/lxml/cssselect.py
/usr/lib/python3/dist-packages/lxml/doctestcompare.py
/usr/lib/python3/dist-packages/lxml/etree.cpython-37m-i386-linux-gnu.so
/usr/lib/python3/dist-packages/lxml/etree.h
/usr/lib/python3/dist-packages/lxml/etree_api.h
/usr/lib/python3/dist-packages/lxml/lxml.etree.h
/usr/lib/python3/dist-packages/lxml/lxml.etree_api.h
/usr/lib/python3/dist-packages/lxml/objectify.cpython-37m-i386-linux-gnu.so
/usr/lib/python3/dist-packages/lxml/pyclasslookup.py
/usr/lib/python3/dist-packages/lxml/sax.cpython-37m-i386-linux-gnu.so
/usr/lib/python3/dist-packages/lxml/sax.py
/usr/lib/python3/dist-packages/lxml/usedoctest.py
/usr/lib/python3/dist-packages/lxml-4.3.2.egg-info/PKG-INFO
/usr/lib/python3/dist-packages/lxml-4.3.2.egg-info/dependency_links.txt
/usr/lib/python3/dist-packages/lxml-4.3.2.egg-info/not-zip-safe
/usr/lib/python3/dist-packages/lxml-4.3.2.egg-info/requires.txt
/usr/lib/python3/dist-packages/lxml-4.3.2.egg-info/top_level.txt
/usr/lib/python3/dist-packages/lxml/html/ElementSoup.py
/usr/lib/python3/dist-packages/lxml/html/__init__.py
/usr/lib/python3/dist-packages/lxml/html/_diffcommand.py
/usr/lib/python3/dist-packages/lxml/html/_html5builder.py
/usr/lib/python3/dist-packages/lxml/html/_setmixin.py
/usr/lib/python3/dist-packages/lxml/html/builder.py
/usr/lib/python3/dist-packages/lxml/html/clean.cpython-37m-i386-linux-gnu.so
/usr/lib/python3/dist-packages/lxml/html/clean.py
/usr/lib/python3/dist-packages/lxml/html/defs.py
/usr/lib/python3/dist-packages/lxml/html/diff.cpython-37m-i386-linux-gnu.so
/usr/lib/python3/dist-packages/lxml/html/diff.py
/usr/lib/python3/dist-packages/lxml/html/formfill.py
/usr/lib/python3/dist-packages/lxml/html/html5parser.py
/usr/lib/python3/dist-packages/lxml/html/soupparser.py
/usr/lib/python3/dist-packages/lxml/html/usedoctest.py
/usr/lib/python3/dist-packages/lxml/includes/__init__.pxd
/usr/lib/python3/dist-packages/lxml/includes/__init__.py
/usr/lib/python3/dist-packages/lxml/includes/c14n.pxd
/usr/lib/python3/dist-packages/lxml/includes/config.pxd
/usr/lib/python3/dist-packages/lxml/includes/dtdvalid.pxd
/usr/lib/python3/dist-packages/lxml/includes/etree_defs.h
/usr/lib/python3/dist-packages/lxml/includes/etreepublic.pxd
/usr/lib/python3/dist-packages/lxml/includes/htmlparser.pxd
/usr/lib/python3/dist-packages/lxml/includes/lxml-version.h
/usr/lib/python3/dist-packages/lxml/includes/relaxng.pxd
/usr/lib/python3/dist-packages/lxml/includes/schematron.pxd
/usr/lib/python3/dist-packages/lxml/includes/tree.pxd
/usr/lib/python3/dist-packages/lxml/includes/uri.pxd
/usr/lib/python3/dist-packages/lxml/includes/xinclude.pxd
/usr/lib/python3/dist-packages/lxml/includes/xmlerror.pxd
/usr/lib/python3/dist-packages/lxml/includes/xmlparser.pxd
/usr/lib/python3/dist-packages/lxml/includes/xmlschema.pxd
/usr/lib/python3/dist-packages/lxml/includes/xpath.pxd
/usr/lib/python3/dist-packages/lxml/includes/xslt.pxd
/usr/lib/python3/dist-packages/lxml/isoschematron/__init__.py
/usr/lib/python3/dist-packages/lxml/isoschematron/resources/rng/iso-schematron.rng
/usr/lib/python3/dist-packages/lxml/isoschematron/resources/xsl/RNG2Schtrn.xsl
/usr/lib/python3/dist-packages/lxml/isoschematron/resources/xsl/XSD2Schtrn.xsl
/usr/lib/python3/dist-packages/lxml/isoschematron/resources/xsl/iso-schematron-xslt1/iso_abstract_expand.xsl
/usr/lib/python3/dist-packages/lxml/isoschematron/resources/xsl/iso-schematron-xslt1/iso_dsdl_include.xsl
/usr/lib/python3/dist-packages/lxml/isoschematron/resources/xsl/iso-schematron-xslt1/iso_schematron_message.xsl
/usr/lib/python3/dist-packages/lxml/isoschematron/resources/xsl/iso-schematron-xslt1/iso_schematron_skeleton_for_xslt1.xsl
/usr/lib/python3/dist-packages/lxml/isoschematron/resources/xsl/iso-schematron-xslt1/iso_svrl_for_xslt1.xsl
/usr/lib/python3/dist-packages/lxml/isoschematron/resources/xsl/iso-schematron-xslt1/readme.txt
/usr/share/doc/python3-lxml/changelog.Debian.gz
/usr/share/doc/python3-lxml/changelog.gz
/usr/share/doc/python3-lxml/copyright

Changelog

2019-03-05 - Matthias Klose <doko@debian.org>
lxml (4.3.2-1) unstable; urgency=medium
* New upstream version.
- Fix crash in 4.3.1 when appending a child subtree with certain text nodes.
2019-02-20 - Matthias Klose <doko@debian.org>
lxml (4.3.1-1) unstable; urgency=medium
* New upstream version 4.3.1.
2019-01-18 - Matthias Klose <doko@debian.org>
lxml (4.3.0-1) unstable; urgency=medium
* New upstream version 4.3.0.
* Bump standards version.
2018-09-17 - Matthias Klose <doko@debian.org>
lxml (4.2.5-1) unstable; urgency=medium
* New upstream version 4.2.5.
2018-08-20 - Matthias Klose <doko@debian.org>
lxml (4.2.4-1) unstable; urgency=medium
* New upstream version 4.2.4.
2018-07-11 - Matthias Klose <doko@debian.org>
lxml (4.2.3-1) unstable; urgency=medium
* New upstream version 4.2.3.
2018-04-02 - Matthias Klose <doko@debian.org>
lxml (4.2.1-1) unstable; urgency=medium
* New upstream version 4.2.1.
2018-03-16 - Matthias Klose <doko@debian.org>
lxml (4.2.0-1) unstable; urgency=medium
* New upstream version 4.2.0.
2017-11-01 - Matthias Klose <doko@debian.org>
lxml (4.1.0-1) unstable; urgency=medium
* New upstream version 4.1.0.
2017-09-23 - Matthias Klose <doko@debian.org>
lxml (4.0.0-1) unstable; urgency=medium
* New upstream version 4.0.0.

See Also

Package Description
python3-ly_0.9.5-2_all.deb Tool and library for manipulating LilyPond files (Python 3)
python3-lz4_1.1.0+dfsg-1_i386.deb Python interface to the lz4 compression library (Python 3)
python3-lz4tools_1.3.1.1-1_i386.deb Tools for working with LZ4 compression algorithm
python3-lzo_1.12-2_i386.deb Python bindings for the LZO data compression library (Python 3)
python3-lzstring_1.0.4-1_all.deb LZ-based compression algorithm for Python (Python 3 version)
python3-m3u8_0.3.7-1_all.deb Python m3u8 parser - Python 3.x
python3-macaroonbakery_1.2.1-1_all.deb Higher-level macaroon operations for Python 3
python3-macholib_1.11+repack0-1_all.deb module for Mach-O header analysis and editing (Python 3 interface)
python3-magcode-core_1.5.4-1_all.deb MAG Code python3 core module of common utility code
python3-magic-wormhole-mailbox-server_0.3.1-2_all.deb Magic Wormhole Mailbox Server
python3-magic_0.4.15-2_all.deb python3 interface to the libmagic file type identification library
python3-magics++_3.3.1-1_i386.deb Python3 support for Magics++
python3-magnum-ui_5.0.1-2_all.deb OpenStack Magnum - dashboard plugin
python3-magnum_7.1.0-1_all.deb OpenStack containers as a service - Python library
python3-magnumclient_2.10.0-3_all.deb client library for Magnum API - Python 3.x
Advertisement
Advertisement